Recuperar tipos de acción
curl --request GET \
--url https://api.hubapi.com/automation/v4/2027-03-beta/action-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/2027-03-beta/action-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/2027-03-beta/action-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"actionName": "<string>",
"actionTypeId": "<string>",
"groupId": "<string>",
"inputFieldDefinitions": [
{
"fieldDefinitionType": "SIMPLE",
"isRequired": true,
"name": "<string>",
"type": "bool",
"description": "<string>",
"label": "<string>"
}
],
"objectTypeIds": [
"<string>"
]
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Tipos de acción
Retrieve action types
Obtén una lista de los tipos de acciones de workflow disponibles. Este punto de terminación se puede usar para entender los tipos de acciones que se pueden incorporar en los workflows de automatización, lo cual es útil para desarrolladores que buscan personalizar o extender las capacidades de los workflows.
GET
/
automation
/
v4
/
2027-03-beta
/
action-types
Recuperar tipos de acción
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Scopes1
automation
Parámetros de consulta
Respuesta
successful operation
Show child attributes
Show child attributes
Última modificación el 6 de octubre de 2026